Package: org.codehaus.groovy.grails.web.pages

## [Java] Class GroovyPageRequestBinding

- org.codehaus.groovy.grails.web.pages.GroovyPageRequestBinding

- Script binding to be used as the top-level binding in GSP evaluation.

  Authors:
    Lari Hotari

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyPageRequestBinding (GrailsWebRequest webRequest)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getVariable(java.lang.String name)`
    `java.util.Set<java.lang.String>` | `getVariableNames()`
    `boolean` | `isRequestAttributeVariable(java.lang.String name)`
    `void` | `setCachedDomainsWithoutPackage(java.util.Map<java.lang.String, java.lang.Class<?>> cachedDomainsWithoutPackage)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGroovyPageBinding` | `getVariableNames, getVariables, getVariablesMap, setVariableDirectly`
    `class groovy.lang.Binding` | `groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyPageRequestBinding(GrailsWebRequest webRequest)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### @java.lang.SuppressWarnings("unchecked") @java.lang.Override public java.util.Set<java.lang.String> getVariableNames()

    - #### public boolean isRequestAttributeVariable(java.lang.String name)

    - #### public void setCachedDomainsWithoutPackage(java.util.Map<java.lang.String, java.lang.Class<?>> cachedDomainsWithoutPackage)